package com.mcapraro.ld29
{
	import citrus.objects.platformer.box2d.Coin;

	/**
	 * @author Michelangelo Capraro (m&#64;mcapraro.com)
	 */
	public class Leaf extends Coin
	{
		private var sineCounter:Number;
				
		public function Leaf(name:String, params:Object = null)
		{
			super(name, params);
			
			view = Assets.assets.getTexture("leaf");
			updateCallEnabled = true;
			sineCounter = 0;
		}
		
		
		
		
		
		override public function update(timeDelta:Number):void
		{
			super.update(timeDelta);
						
			sineCounter+=.2;
						
			y+= (Math.sin(sineCounter) * 3);
		}
	}
}
