package com.mcapraro.ld29
{
	import starling.core.Starling;
	import starling.core.RenderSupport;
	import flash.display3D.Context3D;
	import flash.display.BitmapData;
	import starling.display.DisplayObject;
	import flash.geom.Rectangle;
	/**
	 * @author Michelangelo Capraro (m&#64;mcapraro.com)
	 */
	public class Utils
	{


		public static function copyAsBitmapData(sprite:starling.display.DisplayObject):BitmapData {
			if (sprite == null) return null;
			var resultRect:Rectangle = new Rectangle();
			sprite.getBounds(sprite, resultRect);
			var context:Context3D = Starling.context;
			var support:RenderSupport = new RenderSupport();
			RenderSupport.clear();
			support.setOrthographicProjection(0, 0, Starling.current.stage.stageWidth, Starling.current.stage.stageHeight);
			support.transformMatrix(sprite.root);
			support.translateMatrix( -resultRect.x, -resultRect.y);
			var result:BitmapData = new BitmapData(resultRect.width, resultRect.height, true, 0x00000000);
			support.pushMatrix();
			support.transformMatrix(sprite);
			sprite.render(support, 1.0);
			support.popMatrix();
			support.finishQuadBatch();
			context.drawToBitmapData(result);
			return result;
		}
	}
}
