package com.mcapraro.ld29
{
	import flash.events.Event;
	import starling.core.Starling;
	import citrus.core.starling.ViewportMode;
	import citrus.core.starling.StarlingCitrusEngine;

	[SWF(backgroundColor="#FFFFFF", frameRate="60", width="960", height="640")]
	/**
	 * @author Michelangelo Capraro (m&#64;mcapraro.com)
	 */
	public class Main extends StarlingCitrusEngine
	{
		public function Main()
		{
			_baseWidth = 960;
			_baseHeight = 640;
			_viewportMode = ViewportMode.FULLSCREEN;
			gameData = new GameData();
		}


		override protected function handleAddedToStage(e:Event):void
		{
			super.handleAddedToStage(e);
			
			Starling.multitouchEnabled = true;
			
			setUpStarling(true);
		}
		
		override public function handleStarlingReady():void
		{
			Starling.current.showStats = true;
			
			onAssetsLoaded();
			
		}
		
		private function onAssetsLoaded():void
		{
			loadState(true);
		}

		private function loadState(firstRun:Boolean = false):void
		{
			state = new Level1State(firstRun);
			Level1State(state).onRestart.add(onRestart);
		}

		private function onRestart():void
		{
			loadState();
		}		
		
	}
}
